cURL
curl --request DELETE \
--url https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference} \
--header 'apikey: <api-key>' \
--header 'secretkey: <api-key>'const options = {method: 'DELETE', headers: {apikey: '<api-key>', secretkey: '<api-key>'}};
fetch('https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference}"
headers = {
"apikey": "<api-key>",
"secretkey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("apikey", "<api-key>");
request.AddHeader("secretkey", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("secretkey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"apikey: <api-key>",
"secretkey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.gameball.co/api/v4.0/integrations/coupons/{lockReference}")
.header("apikey", "<api-key>")
.header("secretkey", "<api-key>")
.asString();{
"success": true,
"releasedAt": "2023-11-07T05:31:56Z",
"releasedCoupons": [
"<string>"
]
}Release Coupons
Release locked coupons to make them available for use again.
DELETE
/
api
/
v4.0
/
integrations
/
coupons
/
{lockReference}
cURL
This API releases the lock on coupons identified by the provided
{lockReference} in Gameball. Once released, the coupons become available for use again, offering flexibility in managing coupon availability and redemption.
Security: Requires apikey and secretkey headers.
Path Parameters
Unique identifier for the previously locked coupons to be available for others to use again or for another session.
Was this page helpful?
⌘I